c
c program to split fort.61 files
c    that have bank150 and gbk1 data into 
c    two separate files
c
c  Cisco 8 May 1999
c
      parameter(nmax=367)
      real windandtide
      character*80 title,infile,b150file,gbk1file
c
      nbcsbank150 = 116
      nbcsgbk1 = 251
c
c  input file with wind+tides elev values on bank150 and gbk1 bc nodes
c
      write(*,*)' enter name of input fort.61 filename'
      read(*,80)infile
      open(2,file=infile,status='old')
c
      write(*,*)' enter name of bank150 output fort.61 filename'
      read(*,80)b150file
      open(3,file=b150file,status='new')
c      
      write(*,*)' enter name of gbk1 output fort.61 filename'
      read(*,80)gbk1file
      open(4,file=gbk1file,status='new')
c      
      read(2,80)title
      write(3,80)title
      write(4,80)title
c      
      read(2,*)nhoursw,nbcs,dt,nout,ndum
c
      if (nbcs .ne. (nbcsbank150 + nbcsgbk1)) then
         write(*,*)'Wrong number of bcs',nbcs,nbcsbank150,nbcsgbk1
         stop      
      endif
c      	 
      write(3,*)nhoursw,nbcsbank150,dt,nout,ndum
      write(4,*)nhoursw,nbcsgbk1,dt,nout,ndum
c
      do i=1,nhoursw
         read(2,*)seckd,niter1Marw
         write(3,82)seckd,niter1Marw
         write(4,82)seckd,niter1Marw
	 do ib=1,nbcsbank150
	     read(2,*)l,windandtide
	     write(3,81)ib,windandtide
	 end do
	 do ib=1,nbcsgbk1
	     read(2,*)l,windandtide
	     write(4,81)ib,windandtide
	 end do
      end do
  80  format(a)
  81  format(i10,1x,e16.8)
  82  format(6x,e16.10,9x,i6)
      stop
      end
